# Uses of Class
org.eclipse.jdt.ui.SharedASTProvider.WAIT_FLAG

Packages that use SharedASTProvider.WAIT_FLAG
Package
Description
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of SharedASTProvider.WAIT_FLAG in org.eclipse.jdt.ui

Fields in org.eclipse.jdt.ui declared as SharedASTProvider.WAIT_FLAG
Modifier and Type
Field
Description
`static final SharedASTProvider.WAIT_FLAG`
SharedASTProvider.`WAIT_ACTIVE_ONLY`
Deprecated.
`static final SharedASTProvider.WAIT_FLAG`
SharedASTProvider.`WAIT_NO`
Deprecated.
`static final SharedASTProvider.WAIT_FLAG`
SharedASTProvider.`WAIT_YES`
Deprecated.
Methods in org.eclipse.jdt.ui with parameters of type SharedASTProvider.WAIT_FLAG
Modifier and Type
Method
Description
`static CompilationUnit`
SharedASTProvider.`getAST(ITypeRoot element, SharedASTProvider.WAIT_FLAG waitFlag, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
Deprecated.